Bug 493127 - [RFE] reduce memory footprint of makedumpfile
[RFE] reduce memory footprint of makedumpfile
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Neil Horman
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2009-03-31 14:00 EDT by Neil Horman
Modified: 2010-03-17 10:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-17 10:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2009-03-31 14:00:32 EDT
Description of problem:
makedumpfile can use a large amount of memory durin goperation.  This is undesireable from both a performance and integrity problem (given that it operates primarily during kdump core capture, which is both a time sensitive operation, and a low memory environment).  It would be beneficial if makedumpfiles memory footprint were minimized
Comment 1 RHEL Product and Program Management 2009-06-15 16:59:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 2 RHEL Product and Program Management 2010-02-17 16:45:52 EST
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.
Comment 3 Neil Horman 2010-03-17 10:51:10 EDT
I'm going to close this for now, given that more recent upstream improvements have allowed users to tune the amount of memory they use with makedumpfile to some degree (the -b option)

Note You need to log in before you can comment on or make changes to this bug.